
QGIS Application - Bug report #9570

Opening  Layer -> Properties 12 times  crashes QGIS master

2014-02-16 02:21 AM - Giedrius Vaivilavičius

Status: Closed

Priority: High

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Debian Wheezy Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:Yes Copied to github as #: 18153

Description

When you open the project: 

First I click on Layer -> Properties, or double-click on the layer 

Second I close the "Properties" dialog box 

These were repeated 12 times qgis crashes. 

The terminal writes:

giedrius@giedrius:~$ qgis

Warning: loading of qt translation failed [/usr/share/qt4/translations/qt_en_US]

QGIS died on signal 11[Thread debugging using libthread_db enabled]

Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".

0x00007f17210a81ee in waitpid () from /lib/x86_64-linux-gnu/libc.so.6

[Current thread is 1 (Thread 0x7f17285cd780 (LWP 3794))]

#0  0x00007f17210a81ee in waitpid () from /lib/x86_64-linux-gnu/libc.so.6

No symbol table info available.

#1  0x0000000000513bb8 in qgisCrash(int) ()

No symbol table info available.

#2  <signal handler called>

No symbol table info available.

#3  0x00007f1723f5fb56 in QString::operator==(QString const&) const () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#4  0x00007f17252253e8 in QgsSvgCache::cacheEntry(QString const&, double, QColor const&, QColor const&, double, double,

double) () from /usr/lib/libqgis_core.so.2.1.0

No symbol table info available.

#5  0x00007f17252255a2 in QgsSvgCache::svgAsImage(QString const&, double, QColor const&, QColor const&, double,

double, double, bool&) () from /usr/lib/libqgis_core.so.2.1.0

No symbol table info available.

#6  0x00007f17251bf4bb in QgsSVGFillSymbolLayer::applyPattern(QBrush&, QString const&, double,

QgsSymbolV2::OutputUnit, QColor const&, QColor const&, double, QgsSymbolV2::OutputUnit, QgsSymbolV2RenderContext

const&) () from /usr/lib/libqgis_core.so.2.1.0

No symbol table info available.

#7  0x00007f17251bfe75 in QgsSVGFillSymbolLayer::startRender(QgsSymbolV2RenderContext&) () from

/usr/lib/libqgis_core.so.2.1.0

No symbol table info available.

#8  0x00007f17251899e2 in QgsFillSymbolLayerV2::drawPreviewIcon(QgsSymbolV2RenderContext&, QSize) () from

/usr/lib/libqgis_core.so.2.1.0

No symbol table info available.

#9  0x00007f1725185201 in QgsSymbolV2::drawPreviewIcon(QPainter*, QSize) () from /usr/lib/libqgis_core.so.2.1.0

No symbol table info available.

#10 0x00007f172518f810 in QgsSymbolLayerV2Utils::symbolPreviewPixmap(QgsSymbolV2*, QSize) () from
/usr/lib/libqgis_core.so.2.1.0

No symbol table info available.

#11 0x00007f172518f860 in QgsSymbolLayerV2Utils::symbolPreviewIcon(QgsSymbolV2*, QSize) () from

/usr/lib/libqgis_core.so.2.1.0

No symbol table info available.

#12 0x00007f1724c1ef4f in QgsSymbolsListWidget::populateSymbols(QStringList) () from /usr/lib/libqgis_gui.so.2.1.0

No symbol table info available.

#13 0x00007f1724c1f712 in QgsSymbolsListWidget::populateSymbolView() () from /usr/lib/libqgis_gui.so.2.1.0

No symbol table info available.

#14 0x00007f1724c20167 in QgsSymbolsListWidget::QgsSymbolsListWidget(QgsSymbolV2*, QgsStyleV2*, QMenu*,

QWidget*) () from /usr/lib/libqgis_gui.so.2.1.0

No symbol table info available.

#15 0x00007f1724bf8f66 in QgsSymbolV2SelectorDialog::layerChanged() () from /usr/lib/libqgis_gui.so.2.1.0

No symbol table info available.

#16 0x00007f1724bf90b6 in QgsSymbolV2SelectorDialog::advancedMenu() () from /usr/lib/libqgis_gui.so.2.1.0

No symbol table info available.

#17 0x00007f1724bceafd in QgsSingleSymbolRendererV2Widget::QgsSingleSymbolRendererV2Widget(QgsVectorLayer*,

QgsStyleV2*, QgsFeatureRendererV2*) () from /usr/lib/libqgis_gui.so.2.1.0

No symbol table info available.

#18 0x00007f1724bcedef in QgsSingleSymbolRendererV2Widget::create(QgsVectorLayer*, QgsStyleV2*,

QgsFeatureRendererV2*) () from /usr/lib/libqgis_gui.so.2.1.0

No symbol table info available.

#19 0x00007f1724be77dc in QgsRendererV2PropertiesDialog::rendererChanged() () from /usr/lib/libqgis_gui.so.2.1.0

No symbol table info available.

#20 0x00007f172402b54f in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#21 0x00007f1723791961 in QComboBox::currentIndexChanged(int) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#22 0x00007f17237919c7 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#23 0x00007f1723791bd0 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#24 0x00007f1723791d46 in QComboBox::setCurrentIndex(int) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#25 0x00007f1724be7e3f in QgsRendererV2PropertiesDialog::QgsRendererV2PropertiesDialog(QgsVectorLayer*, QgsStyleV2*,

bool) () from /usr/lib/libqgis_gui.so.2.1.0

No symbol table info available.

#26 0x0000000000714f79 in QgsVectorLayerProperties::updateSymbologyPage() ()

No symbol table info available.

#27 0x0000000000715abf in QgsVectorLayerProperties::syncToLayer() ()

No symbol table info available.

#28 0x0000000000717a02 in QgsVectorLayerProperties::QgsVectorLayerProperties(QgsVectorLayer*, QWidget*,

QFlags<Qt::WindowType>) ()

No symbol table info available.

#29 0x000000000053b8fb in QgisApp::showLayerProperties(QgsMapLayer*) ()

No symbol table info available.

#30 0x00000000007906b7 in QgsLegend::mouseDoubleClickEvent(QMouseEvent*) ()

No symbol table info available.

#31 0x00007f172340ee2a in QWidget::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#32 0x00007f17237b9d36 in QFrame::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.
#33 0x00007f17238c7223 in QAbstractItemView::viewportEvent(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#34 0x00007f172390a971 in QTreeView::viewportEvent(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#35 0x00007f1724015cc6 in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#36 0x00007f17233bf6dc in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#37 0x00007f17233c43eb in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#38 0x00007f172523ac43 in QgsApplication::notify(QObject*, QEvent*) () from /usr/lib/libqgis_core.so.2.1.0

No symbol table info available.

#39 0x00007f1724015b5e in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#40 0x00007f17233c054b in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*,

QWidget**, QPointer<QWidget>&, bool) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#41 0x00007f172343afc4 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#42 0x00007f1723439d51 in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#43 0x00007f1723460bc2 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#44 0x00007f171f93b355 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#45 0x00007f171f93b688 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#46 0x00007f171f93b744 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#47 0x00007f1724044276 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#48 0x00007f172346083e in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#49 0x00007f17240148af in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#50 0x00007f1724014b38 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#51 0x00007f1724019cf8 in QCoreApplication::exec() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#52 0x000000000050e470 in main ()

No symbol table info available.

gdb returned 0

Nutraukta (aborted)

giedrius@giedrius:~$ 

History

#1 - 2014-02-16 04:26 AM - Giovanni Manghi
- Priority changed from Normal to High

- Subject changed from Sometimes use the 12 properties (Layer -> Properties) QGIS 2.1 crashes to Opening  Layer -> Properties 12 times  crashes 

QGIS master

Cannot confirm here on QGIS master on Ubuntu.

#2 - 2014-06-11 08:56 AM - Jürgen Fischer

- Resolution set to worksforme

- Status changed from Open to Closed

closing for the lack of feedback
